package com.ruoyi.post.frequency.postlike.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.post.frequency.postlike.entity.PostLike;
import com.ruoyi.vo.UserVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 帖子点赞Mapper接口
 * 
 * @author liwenlong
 * @date 2023-10-09
 */
public interface PostLikeMapper  extends BaseMapper<PostLike>
{
    /**
     * 查询帖子点赞
     * 
     * @param id 帖子点赞主键
     * @return 帖子点赞
     */
    public PostLike selectPostLikeById(Long id);

    /**
     * 查询帖子点赞列表
     * 
     * @param postLike 帖子点赞
     * @return 帖子点赞集合
     */
    public List<PostLike> selectPostLikeList(PostLike postLike);

    /**
     * 新增帖子点赞
     * 
     * @param postLike 帖子点赞
     * @return 结果
     */
    public int insertPostLike(PostLike postLike);

    /**
     * 修改帖子点赞
     * 
     * @param postLike 帖子点赞
     * @return 结果
     */
    public int updatePostLike(PostLike postLike);

    /**
     * 删除帖子点赞
     * 
     * @param id 帖子点赞主键
     * @return 结果
     */
    public int deletePostLikeById(Long id);

    /**
     * 批量删除帖子点赞
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePostLikeByIds(Long[] ids);


    /**
     * 帖子点赞
     * @param postLike
     * @param userVo
     */
    void postLike(@Param("req") PostLike postLike,@Param("userVo") UserVo userVo);
}
